package com.qmth.teachcloud.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.teachcloud.common.bean.result.BasicClazzResult;
import com.qmth.teachcloud.common.entity.BasicClazz;
import org.apache.ibatis.annotations.Param;

import java.util.Set;

/**
 * @Description: 基础课程管理mapper 接口
 * @Author: CaoZixuan
 * @Date: 2021-08-28
 */
public interface BasicClazzMapper extends BaseMapper<BasicClazz> {

    IPage<BasicClazzResult> findBasicClazzPage(@Param("iPage") Page<BasicClazzResult> iPage,
                                                   @Param("queryParams") String queryParams,
                                                   @Param("schoolId") Long schoolId,
                                                   @Param("orgIds") Set<Long> orgIds);
}
